Updating hal-cups-utils tries to remove ubuntu-desktop

Bug #185750 reported by Andrew Oakley on 2008-01-24
16
Affects Status Importance Assigned to Milestone
ubuntu-meta (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: hal-cups-utils

I'm running Ubuntu Hardy Alpha 3 with all updates to date (2008-01-24).

A recent update failed with ""E: cupsys: subprocess post-installation script returned error exit status 1" . Eventually this was tracked down to a dependency problem with hal-cups-utils. Removing hal-cups-utils allowed the update to complete.

However, going into Synaptic and re-installing hal-cups-utils (0.6.13+svn86-0ubuntu2) is now requesting to remove ubuntu-desktop. I've decided not to do that, but I'm concerned that a vital component of my print system is now broken.

Andrew Oakley (andrew-aoakley) wrote :

Screenshot of Synaptic showing removal request for ubuntu-desktop.

Chris Jones (cmsj) wrote :

As far as I can see, this is because system-config-printer-gnome should replace system-config-printer in the ubuntu-desktop Depends (at least the -gnome package claims to be the gtk config tool/applet

Changed in hal-cups-utils:
status: New → Confirmed
Hari (harinath) wrote :

Or, move the bug to 'system-config-printer-gnome' which should "Provides: system-config-printer".

Thom Pischke (thom-pischke) wrote :

Same issue here

Till Kamppeter (till-kamppeter) wrote :

I get

till@till-laptop:~/printing/system-config-printer/trunk$ sudo apt-get install hal-cups-utils
[sudo] password for till:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  system-config-printer-common
The following packages will be REMOVED:
  system-config-printer ubuntu-desktop
The following NEW packages will be installed:
  system-config-printer-common
The following packages will be upgraded:
  hal-cups-utils
1 upgraded, 1 newly installed, 2 to remove and 1 not upgraded.
Need to get 191kB of archives.
After this operation, 2503kB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.
till@till-laptop:~/printing/system-config-printer/trunk$

The dependency of hal-cups-utils on system-config-printer-common is absolutely correct. The problem is that ubuntu-desktop depends on the binary package system-config-printer which does not exist any more in Ubuntu Hardy. So ubuntu-desktop needs to be corrected to depend on system-config-printer-gnome and kubuntu-desktop needs to depend on system-config-printer-kde.

Please fix this for Alpha 4 to not loose the Plug'n'Print capability.

Changed in ubuntu-meta:
importance: Undecided → High
milestone: none → hardy-alpha-4
status: Confirmed → Triaged
Chris Jones (cmsj) wrote :

ubuntu-desktop appears to have been updated to fix this in the manner Till suggested.

Till Kamppeter (till-kamppeter) wrote :

On today's update it worked perfectly for me, seems that it really got fixed. Closing ...

Changed in ubuntu-meta:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers